Package org.apache.tapestry5.spring

# Class TapestryApplicationContext

java.lang.Object
org.springframework.core.io.DefaultResourceLoader
org.springframework.context.support.AbstractApplicationContext
org.springframework.context.support.AbstractRefreshableApplicationContext
org.springframework.context.support.AbstractRefreshableConfigApplicationContext
org.springframework.web.context.support.AbstractRefreshableWebApplicationContext
org.springframework.web.context.support.XmlWebApplicationContext
org.apache.tapestry5.spring.TapestryApplicationContext

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactory`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.DisposableBean`, `org.springframework.beans.factory.HierarchicalBeanFactory`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.beans.factory.ListableBeanFactory`, `org.springframework.context.ApplicationContext`, `org.springframework.context.ApplicationEventPublisher`, `org.springframework.context.ConfigurableApplicationContext`, `org.springframework.context.Lifecycle`, `org.springframework.context.MessageSource`, `org.springframework.core.env.EnvironmentCapable`, `org.springframework.core.io.ResourceLoader`, `org.springframework.core.io.support.ResourcePatternResolver`, `org.springframework.ui.context.ThemeSource`, `org.springframework.web.context.ConfigurableWebApplicationContext`, `org.springframework.web.context.WebApplicationContext`

public class TapestryApplicationContext extends org.springframework.web.context.support.XmlWebApplicationContext
Extension of Spring's `XmlWebApplicationContext` that includes hooks to resolve some injections into Spring beans as Tapestry services. When using the Tapestry/Spring Integration Library, this class (or a subclass) must be the configured context class. If not specified, this class is the default context class.

- ## Field Summary

  ### Fields inherited from class org.springframework.web.context.support.XmlWebApplicationContext

  `DEFAULT_CONFIG_LOCATION, DEFAULT_CONFIG_LOCATION_PREFIX, DEFAULT_CONFIG_LOCATION_SUFFIX`

  ### Fields inherited from class org.springframework.context.support.AbstractApplicationContext

  `APPLICATION_EVENT_MULTICASTER_BEAN_NAME, LIFECYCLE_PROCESSOR_BEAN_NAME, logger, MESSAGE_SOURCE_BEAN_NAME`

  ### Fields inherited from interface org.springframework.beans.factory.BeanFactory

  `FACTORY_BEAN_PREFIX`

  ### Fields inherited from interface org.springframework.context.ConfigurableApplicationContext

  `CONFIG_LOCATION_DELIMITERS, CONVERSION_SERVICE_BEAN_NAME, ENVIRONMENT_BEAN_NAME, LOAD_TIME_WEAVER_BEAN_NAME, SYSTEM_ENVIRONMENT_BEAN_NAME, SYSTEM_PROPERTIES_BEAN_NAME`

  ### Fields inherited from interface org.springframework.web.context.ConfigurableWebApplicationContext

  `APPLICATION_CONTEXT_ID_PREFIX, SERVLET_CONFIG_BEAN_NAME`

  ### Fields inherited from interface org.springframework.core.io.ResourceLoader

  `CLASSPATH_URL_PREFIX`

  ### Fields inherited from interface org.springframework.core.io.support.ResourcePatternResolver

  `CLASSPATH_ALL_URL_PREFIX`

  ### Fields inherited from interface org.springframework.web.context.WebApplicationContext

  `CONTEXT_ATTRIBUTES_BEAN_NAME, CONTEXT_PARAMETERS_BEAN_NAME, ROOT_WEB_APPLICATION_CONTEXT_ATTRIBUTE, SCOPE_APPLICATION, SCOPE_GLOBAL_SESSION, SCOPE_REQUEST, SCOPE_SESSION, SERVLET_CONTEXT_BEAN_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapestryApplicationContext()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.springframework.beans.factory.support.DefaultListableBeanFactory`
  `createBeanFactory()`

  ### Methods inherited from class org.springframework.web.context.support.XmlWebApplicationContext

  `getDefaultConfigLocations, initBeanDefinitionReader, loadBeanDefinitions, loadBeanDefinitions`

  ### Methods inherited from class org.springframework.web.context.support.AbstractRefreshableWebApplicationContext

  `createEnvironment, getApplicationName, getConfigLocations, getNamespace, getResourceByPath, getResourcePatternResolver, getServletConfig, getServletContext, getTheme, initPropertySources, onRefresh, postProcessBeanFactory, setNamespace, setServletConfig, setServletContext`

  ### Methods inherited from class org.springframework.context.support.AbstractRefreshableConfigApplicationContext

  `afterPropertiesSet, resolvePath, setBeanName, setConfigLocation, setConfigLocations, setId`

  ### Methods inherited from class org.springframework.context.support.AbstractRefreshableApplicationContext

  `cancelRefresh, closeBeanFactory, customizeBeanFactory, getBeanFactory, hasBeanFactory, refreshBeanFactory, setAllowBeanDefinitionOverriding, setAllowCircularReferences`

  ### Methods inherited from class org.springframework.context.support.AbstractApplicationContext

  `addApplicationListener, addBeanFactoryPostProcessor, addListener, close, containsBean, containsBeanDefinition, containsLocalBean, destroy, destroyBeans, doClose, findAnnotationOnBean, finishBeanFactoryInitialization, finishRefresh, getAliases, getApplicationListeners, getAutowireCapableBeanFactory, getBean, getBean, getBean, getBean, getBeanDefinitionCount, getBeanDefinitionNames, getBeanFactoryPostProcessors, getBeanNamesForType, getBeanNamesForType, getBeansOfType, getBeansOfType, getBeansWithAnnotation, getDisplayName, getEnvironment, getId, getInternalParentBeanFactory, getInternalParentMessageSource, getMessage, getMessage, getMessage, getParent, getParentBeanFactory, getResources, getStartupDate, getType, initApplicationEventMulticaster, initLifecycleProcessor, initMessageSource, invokeBeanFactoryPostProcessors, isActive, isPrototype, isRunning, isSingleton, isTypeMatch, obtainFreshBeanFactory, onClose, prepareBeanFactory, prepareRefresh, publishEvent, refresh, registerBeanPostProcessors, registerListeners, registerShutdownHook, setDisplayName, setEnvironment, setParent, start, stop, toString`

  ### Methods inherited from class org.springframework.core.io.DefaultResourceLoader

  `getClassLoader, getResource, setClassLoader`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.springframework.context.ApplicationContext

  `getAutowireCapableBeanFactory, getDisplayName, getId, getParent, getStartupDate`

  ### Methods inherited from interface org.springframework.context.ApplicationEventPublisher

  `publishEvent`

  ### Methods inherited from interface org.springframework.beans.factory.BeanFactory

  `containsBean, getAliases, getBean, getBean, getBean, getBean, getType, isPrototype, isSingleton, isTypeMatch`

  ### Methods inherited from interface org.springframework.context.ConfigurableApplicationContext

  `addApplicationListener, addBeanFactoryPostProcessor, close, getBeanFactory, getEnvironment, isActive, refresh, registerShutdownHook, setEnvironment, setId, setParent`

  ### Methods inherited from interface org.springframework.web.context.ConfigurableWebApplicationContext

  `setConfigLocation, setConfigLocations`

  ### Methods inherited from interface org.springframework.beans.factory.HierarchicalBeanFactory

  `containsLocalBean, getParentBeanFactory`

  ### Methods inherited from interface org.springframework.context.Lifecycle

  `isRunning, start, stop`

  ### Methods inherited from interface org.springframework.beans.factory.ListableBeanFactory

  `containsBeanDefinition, findAnnotationOnBean, getBeanDefinitionCount, getBeanDefinitionNames, getBeanNamesForType, getBeanNamesForType, getBeansOfType, getBeansOfType, getBeansWithAnnotation`

  ### Methods inherited from interface org.springframework.context.MessageSource

  `getMessage, getMessage, getMessage`

  ### Methods inherited from interface org.springframework.core.io.ResourceLoader

  `getClassLoader, getResource`

  ### Methods inherited from interface org.springframework.core.io.support.ResourcePatternResolver

  `getResources`

- ## Constructor Details

  - ### TapestryApplicationContext

    public TapestryApplicationContext()

- ## Method Details

  - ### createBeanFactory

    protected org.springframework.beans.factory.support.DefaultListableBeanFactory createBeanFactory()
    Overrides:
      `createBeanFactory` in class `org.springframework.context.support.AbstractRefreshableApplicationContext`